Prev Top Next

Name
KXL_UpDateRect
Synopsis

    KXL_UpDateRect -- The rectangle of arbitrary frames is copied to a window.

Description

    void KXL_UpDateRect(KXL_Rect rect);

Arguments

rect | KXL_Rect structure.

Return Value
Nothing.
Exsample

    #include <KXL.h>

    int main(void)
    {
      KXL_Rect rect = {0, 0, 100, 100};

      KXL_CreateWindow(rect.Width, rect.Height, "sample", 0);
      KXL_SetDrawColor(0xff, 0x00, 0x00);
      KXL_DrawRectangle(30, 30, 30, 30, True);
      KXL_UpDateRect(rect);
      getchar();
      KXL_DeleteWindow();
      return 0;
    }